uniform sampler2D normalmap;
uniform sampler2D texmap;
varying vec3 LightDir;
varying vec3 EyeDir;

void main ()
{
       vec3 cFragCol = vec3(texture2D(normalmap, gl_TexCoord[0].st));
       vec3 tFragCol =  vec3(texture2D(texmap, gl_TexCoord[0].st));
       cFragCol = vec3((cFragCol.r-0.5)*2.0, (cFragCol.g-0.5)*2.0, (cFragCol.b-0.5)*2.0);
       float fCol = max(dot(cFragCol, LightDir), 0.0);
       gl_FragColor = vec4((0.2+fCol)*tFragCol.r, cos((0.2+fCol)*tFragCol.g), (0.2+fCol)*tFragCol.b, 1.0);
}